import crypto from 'crypto';
import { setAbstractFetchFunc, setAbstractConvertRequestFunc, setAbstractConvertResponseFunc, setAbstractConvertHeadersFunc } from '../../runtime/http/index.mjs';
import '../../runtime/crypto/types.mjs';
import { setCrypto } from '../../runtime/crypto/crypto.mjs';
import { setAbstractRuntimeString } from '../../runtime/platform/runtime-string.mjs';
import { mockFetch, mockConvertRequest, mockConvertResponse, mockConvertHeaders, mockRuntimeString } from './adapter.mjs';

setAbstractFetchFunc(mockFetch);
setAbstractConvertRequestFunc(mockConvertRequest);
setAbstractConvertResponseFunc(mockConvertResponse);
setAbstractConvertHeadersFunc(mockConvertHeaders);
setAbstractRuntimeString(mockRuntimeString);
setCrypto(crypto);
//# sourceMappingURL=index.mjs.map
