import { AbandonedCheckout } from './abandoned_checkout.mjs';
import { AccessScope } from './access_scope.mjs';
import { ApplePayCertificate } from './apple_pay_certificate.mjs';
import { ApplicationCharge } from './application_charge.mjs';
import { ApplicationCredit } from './application_credit.mjs';
import { Article } from './article.mjs';
import { Asset } from './asset.mjs';
import { AssignedFulfillmentOrder } from './assigned_fulfillment_order.mjs';
import { Balance } from './balance.mjs';
import { Blog } from './blog.mjs';
import { CancellationRequest } from './cancellation_request.mjs';
import { CarrierService } from './carrier_service.mjs';
import { Checkout } from './checkout.mjs';
import { Collect } from './collect.mjs';
import { Collection } from './collection.mjs';
import { CollectionListing } from './collection_listing.mjs';
import { Comment } from './comment.mjs';
import { Country } from './country.mjs';
import { Currency } from './currency.mjs';
import { CustomCollection } from './custom_collection.mjs';
import { Customer } from './customer.mjs';
import { CustomerAddress } from './customer_address.mjs';
import { DeprecatedApiCall } from './deprecated_api_call.mjs';
import { DiscountCode } from './discount_code.mjs';
import { Dispute } from './dispute.mjs';
import { DisputeEvidence } from './dispute_evidence.mjs';
import { DisputeFileUpload } from './dispute_file_upload.mjs';
import { DraftOrder } from './draft_order.mjs';
import { Event } from './event.mjs';
import { Fulfillment } from './fulfillment.mjs';
import { FulfillmentEvent } from './fulfillment_event.mjs';
import { FulfillmentOrder } from './fulfillment_order.mjs';
import { FulfillmentRequest } from './fulfillment_request.mjs';
import { FulfillmentService } from './fulfillment_service.mjs';
import { GiftCard } from './gift_card.mjs';
import { GiftCardAdjustment } from './gift_card_adjustment.mjs';
import { Image } from './image.mjs';
import { InventoryItem } from './inventory_item.mjs';
import { InventoryLevel } from './inventory_level.mjs';
import { Location } from './location.mjs';
import { LocationsForMove } from './locations_for_move.mjs';
import { MarketingEvent } from './marketing_event.mjs';
import { Metafield } from './metafield.mjs';
import { MobilePlatformApplication } from './mobile_platform_application.mjs';
import { Order } from './order.mjs';
import { OrderRisk } from './order_risk.mjs';
import { Page } from './page.mjs';
import { Payment } from './payment.mjs';
import { PaymentGateway } from './payment_gateway.mjs';
import { PaymentTransaction } from './payment_transaction.mjs';
import { Payout } from './payout.mjs';
import { Policy } from './policy.mjs';
import { PriceRule } from './price_rule.mjs';
import { Product } from './product.mjs';
import { ProductListing } from './product_listing.mjs';
import { ProductResourceFeedback } from './product_resource_feedback.mjs';
import { Province } from './province.mjs';
import { RecurringApplicationCharge } from './recurring_application_charge.mjs';
import { Redirect } from './redirect.mjs';
import { Refund } from './refund.mjs';
import { ResourceFeedback } from './resource_feedback.mjs';
import { ScriptTag } from './script_tag.mjs';
import { ShippingZone } from './shipping_zone.mjs';
import { Shop } from './shop.mjs';
import { SmartCollection } from './smart_collection.mjs';
import { StorefrontAccessToken } from './storefront_access_token.mjs';
import { TenderTransaction } from './tender_transaction.mjs';
import { Theme } from './theme.mjs';
import { Transaction } from './transaction.mjs';
import { UsageCharge } from './usage_charge.mjs';
import { User } from './user.mjs';
import { Variant } from './variant.mjs';
import { Webhook } from './webhook.mjs';

/***********************************************************************************************************************
* This file is auto-generated. If you have an issue, please create a GitHub issue.                                     *
***********************************************************************************************************************/
const restResources = {
    AbandonedCheckout,
    AccessScope,
    ApplePayCertificate,
    ApplicationCharge,
    ApplicationCredit,
    Article,
    Asset,
    AssignedFulfillmentOrder,
    Balance,
    Blog,
    CancellationRequest,
    CarrierService,
    Checkout,
    Collect,
    Collection,
    CollectionListing,
    Comment,
    Country,
    Currency,
    CustomCollection,
    Customer,
    CustomerAddress,
    DeprecatedApiCall,
    DiscountCode,
    Dispute,
    DisputeEvidence,
    DisputeFileUpload,
    DraftOrder,
    Event,
    Fulfillment,
    FulfillmentEvent,
    FulfillmentOrder,
    FulfillmentRequest,
    FulfillmentService,
    GiftCard,
    GiftCardAdjustment,
    Image,
    InventoryItem,
    InventoryLevel,
    Location,
    LocationsForMove,
    MarketingEvent,
    Metafield,
    MobilePlatformApplication,
    Order,
    OrderRisk,
    Page,
    Payment,
    PaymentGateway,
    PaymentTransaction,
    Payout,
    Policy,
    PriceRule,
    Product,
    ProductListing,
    ProductResourceFeedback,
    Province,
    RecurringApplicationCharge,
    Redirect,
    Refund,
    ResourceFeedback,
    ScriptTag,
    ShippingZone,
    Shop,
    SmartCollection,
    StorefrontAccessToken,
    TenderTransaction,
    Theme,
    Transaction,
    UsageCharge,
    User,
    Variant,
    Webhook,
};

export { restResources };
//# sourceMappingURL=index.mjs.map
