// The mutable export is the whole key to the adapter architecture.
// eslint-disable-next-line import/no-mutable-exports
let cryptoVar;
try {
    cryptoVar = crypto;
}
catch (_e) {
    // This will fail for Node, but we're explicitly calling the below function to set it
}
function setCrypto(crypto) {
    cryptoVar = crypto;
}

export { cryptoVar as crypto, setCrypto };
//# sourceMappingURL=crypto.mjs.map
